/*
Gwenview - A simple image viewer for TDE
Copyright 2000-2004 Aurlien Gteau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

// KDE 
#include <kbookmarkmenu.h>

// Local 
#include "bookmarkowner.moc"
namespace Gwenview {


BookmarkOwner::BookmarkOwner(TQWidget* parent)
: TQObject(parent)
{}


void BookmarkOwner::openBookmarkURL(const TQString& strURL)
{
	KURL url(strURL);
	emit openURL(url);
}


TQString BookmarkOwner::currentURL() const
{
	return mURL.prettyURL();
}


void BookmarkOwner::setURL(const KURL& url)
{
	mURL=url;
}

} // namespace
