/*
Gwenview - A simple image viewer for TDE
Copyright 2000-2004 Aur�ien G�eau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#ifndef CURSORTRACKER_H
#define CURSORTRACKER_H   

// TQt
#include <tqlabel.h>

namespace Gwenview {

/**
 * This class implements a decoration-less window which will follow the cursor
 * when it's over a specified widget.
 */
class CursorTracker : public TQLabel {
public:
	CursorTracker(const TQString& txt, TQWidget* reference);

	void setText(const TQString& txt);

protected:
	bool eventFilter(TQObject*, TQEvent*);
};


/**
 * A specialized CursorTracker class, which looks like a tool tip.
 */
class TipTracker : public CursorTracker {
public:
	TipTracker(const TQString& txt, TQWidget* reference);
};


} // namespace

#endif /* CURSORTRACKER_H */
